GET /accounts/google/signup
This will initiate the Google authentication flow for the current user. A request will result in a redirect to Google's own login browser screen, and upon submit or cancel, will be redirected back the App's registered callback URL (App registration on Timekit is necessary, please get in touch).
This endpoint can be used both for sign up (of a new Google account not known to Timekit) or as authentication for a known account (based on email address). This also means that multiple Google accounts can be attached to a single user if needed.
Endpoint
GET https://api.timekit.io/v2/accounts/google/signup
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
callback |
query | string | Url to make the callback to after authentication |
Response examples
301
textRedirect to google signup page
400
json{
"error": {
"message": "Missing app param",
"status_code": 400
}
}